Subject: [manet] graphical display of wireless networks

From: sai reddy <[email-masked]>
Date: Tue, 10 Jan 2006 21:37:25 -0800 (PST)

Hello Gabi, 
I am also working with JIST/SWANS for my thesis work.
Can you briefly explain what were the steps you took
to visualize the simulation results from SWANS onto
the Javis viz tool. 

Thanks
Sai 

-----------------------------------------------------------------
-----------------------------------------------------------------
Hello

Yes, there are Nam and Javis.

NAM is a packet flow and network animator used with NS
simulator. NAM
accepts NS trace files, and based on them presents the
animation of the
simulation. It can show up a network topology, nodes
locations, links
between nodes. Its advanced features include actually
demonstrating the flow
of messages send upon links, topology evolution over
time, etc...

Javis is a Java based version of NAM -  it also
accepts trace files in NAM
format . Till now Javis was mainly used with JNS,
which is a Java version of
NS.

In my Ad Hoc networks research I am working with
Jist/Swans simulator
developed in Cornell
(http://jist.ece.cornell.edu/index.html). So I have
adapted Javis to work with Swans (I took the code that
was used by JNS to
create Javis trace file in NAM format and adapted it
into Swans code).

----------------------------------------------------------------------------
--------------

You can read about Javis and Nam at
http://warriors.eecs.umich.edu/viz_tools/nam.html
NAM trace format definition can be found here:
http://www.isi.edu/nsnam/ns/doc-stable/node228.html
JNS and more on Javis here:
http://jns.sourceforge.net/

Regards,

Gabi Kliot

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet